# $Revision: 1.23 $, $Date: 2009/08/26 10:18:08 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	BigInt
Summary:	New versions of Math::BigInt and Math::BigFloat Perl modules
Summary(pl.UTF-8):	Nowe wersje modułów Perla Math::BigInt i Math::BigFloat
Name:		perl-Math-BigInt
Version:	1.89
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	695d70be20c3cb1778961b88c6b4ac42
URL:		http://search.cpan.org/dist/Math-BigInt/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
#Conflicts:	perl-Math-BigRat < 0.19
#Conflicts:	perl-bignum < 0.21
#...but these are in perl-modules, so we must override them by separate packages:
Requires:	perl-Math-BigRat >= 0.19
Requires:	perl-bignum >= 0.21
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
New versions of Math::BigInt and Math::BigFloat.

%description -l pl.UTF-8
Nowe wersje modułów Math::BigInt i Math::BigFloat.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test INST_ARCHLIB=t}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BENCHMARK BUGS CHANGES CREDITS GOALS HISTORY LICENSE NEW README TODO
%{perl_vendorlib}/Math/*.pm
%{perl_vendorlib}/Math/BigInt/*.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*.txt
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-BigInt.spec,v $
Revision 1.23  2009/08/26 10:18:08  amateja
- updated to 1.89

Revision 1.22  2008/02/19 23:26:38  agaran
- up to 1.87, rel 1

Revision 1.21  2007-05-27 20:29:30  qboosh
- Math::BigInt upgrade requires upgrade of some modules depending on it

Revision 1.20  2007/05/27 14:24:26  qboosh
- generic URL

Revision 1.19  2007/05/27 13:24:36  agaran
- up to 1.86, rel 1, builds here

Revision 1.18  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.16  2005/05/30 06:59:01  petec
- up to 1.77

Revision 1.15  2005/01/03 15:55:20  adamg
- updated to 1.74

Revision 1.14  2004/12/01 17:49:58  radek
- autoupdated to 1.73

Revision 1.13  2004/11/03 22:30:33  paladine
- formatting

Revision 1.12  2004/08/21 21:13:09  adamg
- updated to 1.72

Revision 1.11  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.10  2004/05/06 18:43:16  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/23 07:50:15  ankry
- license fixes, unification

Revision 1.8  2004/04/20 23:59:35  ankry
- ported to new bconds

Revision 1.7  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.6  2004/03/14 17:03:14  adamg
- updated to 1.70

Revision 1.5  2004/01/24 23:21:53  arekm
- autoupdated to 1.69

Revision 1.4  2003/09/29 17:49:54  adamg
- updated to 1.66

Revision 1.3  2003/09/18 13:19:59  adamg
- updated to 1.65

Revision 1.2  2003/06/29 10:14:59  qboosh
- moved Math/BigInt dir to perl (in case of using buitin Math::BigInt)

Revision 1.1  2003/06/29 00:18:39  qboosh
- new
